;(Feedback is welcome on the wiki)
;
;Use these commands to gather these resources with these macros:
;  Ctrl+Alt+g = Gather Grass.
;  Ctrl+Alt+s = Gather Slate.
;  Ctrl+Alt+c = Gather Clay.

shades:="*75"

SetDefaultMouseSpeed,0

;;Click the resource at X,Y then return the pointer
gatherItem(X, Y)
{
  SetMouseDelay,-1
  Click up
  MouseGetPos, MX, MY
  Click,right, %X%, %Y%
  MouseMove, MX, MY
  SetMouseDelay,0
  return
}


^r::reload
^p::Pause

;;Pick Grass
^!g::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos
InputBox, gatherNum, Gather Grass, How much grass do you want to gather?
loop
{
  ImageSearch, PX, PY, 200 , 30, 576, 150, %shades% Grass.png
  if (ErrorLevel < 1)
  {
;	TrayTip Gather stuff
    gatherItem(PX+5,PY-5)
    sleep 2000
    gathernum:=gathernum-1
;	TrayTip Grass Left to Gather, %gathernum% Grass to go, 5, 1
    if (gathernum==0)
	{
	  SoundPlay *64,1
      return
	}
  }
  sleep 200
}
;return

;Gather Slate
^!s::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos
InputBox, gatherNum, Gather Slate, How much slate do you want to gather?
loop
  {
  ImageSearch, PX, PY, 200 , 50, 576, 300, %shades% Slate.png
  if (ErrorLevel < 1)
  {
;	TrayTip Gatherleft
    gatherItem(PX,PY)
    sleep 1000
    gathernum:=gathernum-1
;	TrayTip Slate Left to Gather, %gathernum% Slate to go, 5, 1
    if (gathernum==0)
	{
;	  TrayTip Slate all Gathered, Slate Gather Complete, 10, 1
	  SoundPlay *64,1
      return
	}
  }
  sleep 100
}
;return

;;Gather Clay -- Be sure to have enough water in jugs!!!
^!c::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos
InputBox, gatherNum, Gather Clay, How much clay do you want to gather?
loop
  {
  ImageSearch, PX, PY, 200 , 50, 576, 300, %shades% Clay.png
  if (ErrorLevel < 1)
  {
;	TrayTip Gatherleft
    gatherItem(PX,PY)
    sleep 1000
    gathernum:=gathernum-1
;	TrayTip Clay Left to Gather, %gathernum% Clay to go, 5, 1
    if (gathernum==0)
	{
;	  TrayTip Clate all Gathered, Clate Gather Complete, 10, 1
	  SoundPlay *64,1
      return
	}
  }
  sleep 100
}
;return

;;Gather Limestone
^!l::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos

InputBox, gatherNum, Gather Limestone, How much Limestone do you want to gather?

loop
  {
  ImageSearch, PX, PY, 200 , 50, 576, 300, %shades% Limestone.png
  if (ErrorLevel < 1)
  {
    gatherItem(PX,PY)

    gathernum:=gathernum-1
    if (gathernum==0)
	{
	  SoundPlay *64,1
         return
	}

    loop
    {
       sleep 1000
	PXE:=0
       ImageSearch, PXE,PYE,20,600,90,Win_Height-15, %shades% RedEnd.png
	
	
	if PXE
	{
	   Continue
	}else
	{
	   Break
	}
    }

  }
  sleep 100
}
return

;;Dig hole deeper
^!d::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos

;InputBox, gatherNum, Gather Limestone, How much Limestone do you want to gather?

loop
  {
  sleep 200

  ImageSearch, PX, PY, 200 , 50, win_Width-15, Win_Height-15, %shades% Digdeep.png
  if (ErrorLevel < 1)
  {

    gatherItem(PX,PY)

    sleep 1000

    loop
    {
       sleep 1000
	PXE:=0
       ImageSearch, PXE,PYE,20,600,90,Win_Height-15, %shades% RedEnd.png
	
	
	if PXE
	{
	   Continue
	}else
	{
	   Break
	}
    }

  }
  sleep 200
}
return

;;Dig hole deeper
^!r::
WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos

;InputBox, gatherNum, Gather Limestone, How much Limestone do you want to gather?

loop
  {
  sleep 200

  ImageSearch, PX, PY, 200 , 50, win_Width-15, Win_Height-15, %shades% Dirt.png
  if (ErrorLevel < 1)
  {

    gatherItem(PX,PY)

    sleep 1000

    loop
    {
       sleep 1000
	PXE:=0
       ImageSearch, PXE,PYE,20,600,90,Win_Height-15, %shades% RedEnd.png
	
	
	if PXE
	{
	   Continue
	}else
	{
	   Break
	}
    }

  }
  sleep 200
}
return

;;Drop Grass in 5 grass piles
;^!d::
;WinGetActiveStats, win_Title, win_Width, win_Height, win_Xpos, win_Ypos
;InputBox, dropNum, Drop Grass, How much grass do you want to drop?

;dropN5 := dropNum//5

;sleep 200

;MouseGetPos, MXO, MYO

;MouseMove 25,250
;sleep 100
;MouseGetPos, MXT, MYT

;sleep 200

;Send {esc}

;sleep 200

;ImageSearch, PX, PY, MXT , MYT-150, MXT+200, MYT, %shades% Drop.GIF

;sleep 200

;  if (ErrorLevel < 1)
;  {
;	    gatherItem(PX+5,PY+5)
;            MouseGetPos, MX, MY

;	    sleep 200
;	    ImageSearch, PX, PY, MX , MY-125, MX+200, MY-50, %shades% Pinoff.GIF
;	    sleep 200
;	    gatherItem(PX+10,PY+5)


;  }
;sleep 100

;MouseMove MXO,MYO
;Click right

;sleep 200

;ImageSearch, PX, PY, 20 , 10, MXT+100, MYT+200, %shades% Grass.GIF

;sleep 200

;loop %dropN5% {
;	gatherItem(PX+5,PY+5)
;	sleep 100 
;	Send 5{Enter}
;	}

;ImageSearch, PX, PY, 30 , 40, MXT+200, MYT+150, %shades% Pinon.GIF

;MouseMove PX+10, PY+5
;Click

;sleep 100
;MouseMove MXO, MYO

;return





